Summary: Perl extensions for GTK+ (the Gimp ToolKit).
Name: Gtk-Perl
Version: 0.7008
Release: 3
License: LGPL
Group: System Environment/Libraries
Source: http://www.gtkperl.org/Gtk-Perl-%{version}.tar.gz
URL: http://www.gtkperl.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtkglarea,gtk+-devel, gdk-pixbuf-devel, libglade-devel
BuildRequires: gnome-libs-devel, gnome-core-devel, Mesa-devel
BuildRequires:  gtkhtml-devel, gal-devel, perl-XML-Parser
Requires: perl, gtk+ , gtkglarea
Obsoletes: gtk+-perl

%description
This package includes Perl extensions for GTK+ (the Gimp ToolKit), a
library used for creating graphical user interfaces for the X Window
System. The extensions provided in this package allow you to write
graphical interfaces using Perl and GTK+. If you install this package,
you will need to also have Perl and GTK+ installed.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

for i in GdkImlib GdkPixbuf Glade Gnome GtkGLArea GtkXmHTML ; do
    pushd $i
	CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL --with-panel
	make
    popd
done

%install
rm -rf $RPM_BUILD_ROOT


eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install  

for i in GdkImlib GdkPixbuf Glade Gnome GtkGLArea GtkXmHTML ; do
    pushd $i
	make PREFIX=$RPM_BUILD_ROOT/usr install
    popd
done


pushd $RPM_BUILD_ROOT
rm -f `find -type f -name "*.bs"`
rm -f `find -type f -name .packlist`
rm -f `find -type f -name .packlist`
rm -f `find -type f -name "*::reference*"`
popd

find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > gtk-perl-files 

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ChangeLog NOTES README VERSIONS
/usr/lib/perl5/site_perl/5.6.0/*-linux/Gtk
/usr/lib/perl5/site_perl/5.6.0/*-linux/auto/Gtk
/usr/lib/perl5/site_perl/5.6.0/*-linux/auto/Gnome
/usr/lib/perl5/site_perl/5.6.0/*-linux/Gtk.pm
/usr/lib/perl5/site_perl/5.6.0/*-linux/Gnome.pm
/usr/lib/perl5/site_perl/5.6.0/*-linux/Gnome
%{_mandir}/*/*

%changelog
* Thu Aug 30 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.7008-3
- remove *::reference man pages, as we don't ship all the modules
  the package wants do build them (#52851)

* Tue Jul 31 2001 Trond Eivind Glomsrd <teg@redhat.com>
- More BuildRequires

* Mon Jul 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use %%{_tmppath}
- 0.7008
- Update URL and file location
- s/Copyright/License/
- add more buildrequires (#49784)

* Thu Jul  5 2001 Tim Powers <timp@redhat.com>
- fixed file list so that we own the dirs we need to
- remove perl-temp-files

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- rebuilt against newer gtk+ libs

* Thu Jan 11 2001 Tim Powers <timp@redhat.com>
- excludearched ia64

* Sun Dec 10 2000 Tim Powers <timp@redhat.com>
- built the added modules for bug 22013 since he uses that stuff.

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Fri Nov 10 2000 Tim Powers <timp@redhat.com>
- updated to 0.7004
- added docs

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- updated to 0.7
- built for 7.0

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- updated to 0.6123
- built for 6.2

* Fri Jun 25 1999 Tim Powers	<timp@redhat.com>
- rebuilt for 6.1
* Mon May 10 1999 Cristian Gafton <gafton@redhat.com>
- version 0.5121

* Tue Dec 02 1998 Michael Maher <mike@redhat.com>
- updated to version 0.4

* Fri Oct 08 1998 Michael Maher <mikee@redhat.com>
- cleaned up spec, built for 5.2 powertools.
- added buildroot

* Tue Jul 14 1998 The Rasterman <raster@redhat.com>
- Made it rebuild on multiple architectures (still linux only tho)
- this NEEDS to be buildrooted. not willign to do that quite yet.

* Fri Jul 10 1998 Jeff Carr <jcarr@linuxppc.org>
- Turned of -O2 on the ppc version
- I'm not sure about the LGPL part
